curl --location --request POST 'https://api.explo.co/api/update_blueprint/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"blueprint_id": 10,
"tables": [
{
"table_name": "location",
"schema_id": 1,
"query": "select *,2 as hello from location",
"columns": [
{
"name": "id",
"type": "STRING"
},
{
"name": "host_id",
"type": "STRING"
},
{
"name": "host_name",
"display_name": "New Host Name",
"type": "STRING",
"can_be_grouped": true
}
]
}
]
}'
{ "success": 1 }
Update Blueprint
POST
/
api
/
update_blueprint
/
curl --location --request POST 'https://api.explo.co/api/update_blueprint/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"blueprint_id": 10,
"tables": [
{
"table_name": "location",
"schema_id": 1,
"query": "select *,2 as hello from location",
"columns": [
{
"name": "id",
"type": "STRING"
},
{
"name": "host_id",
"type": "STRING"
},
{
"name": "host_name",
"display_name": "New Host Name",
"type": "STRING",
"can_be_grouped": true
}
]
}
]
}'
{ "success": 1 }
This endpoint creates a new blueprint.
Body
number
required
The id of the blueprint you want to update
object
required
List of tables and column information associated with the customer
Show table
Show table
string
required
Name of the table. Query will be “SELECT * FROM table_name”
number
required
Schema this table is attached to.
string
Query to override the default “SELECT * FROM table_name”. Optional
parameter.
object
required
List of columns in this table
string
Name of dataset supplied to customers. If null, table_name will be used
string
Description of dataset for customers
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
curl --location --request POST 'https://api.explo.co/api/update_blueprint/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"blueprint_id": 10,
"tables": [
{
"table_name": "location",
"schema_id": 1,
"query": "select *,2 as hello from location",
"columns": [
{
"name": "id",
"type": "STRING"
},
{
"name": "host_id",
"type": "STRING"
},
{
"name": "host_name",
"display_name": "New Host Name",
"type": "STRING",
"can_be_grouped": true
}
]
}
]
}'
{ "success": 1 }
⌘I